POST https://YOUR-NETWORK-DOMAIN/rest-api/price-adjustment-rules/advertiser/{entityId}/disable.do
Switches price adjusting off for the advertiser. Its price adjustment rules are kept but stop changing the price until the switch is turned on again. Returns the new state in enablePriceAdjusting. Requires MANAGE_PRICE_ADJUSTING permission and UPDATE access to the owning advertiser.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/price-adjustment-rules/advertiser/100/disable.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());